[bug#37121,29/40] gnu: xfce4-whiskermenu-plugin: Update to 2.3.3.
diff mbox series

Message ID 20190820215043.32077-29-guix@lprndn.info
State New
Headers show
Series
  • [bug#37121,01/40] gnu: libxfce4util: Update to 4.14.0.
Related show

Commit Message

L p R n d n Aug. 20, 2019, 9:50 p.m. UTC
* gnu/packages/xfce.scm (xfce4-whiskermenu-plugin): Update to 2.3.3.
[inputs] Add gtk+. Remove gtk+-2.
---
 gnu/packages/xfce.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Patch
diff mbox series

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 30b3ab4b79..6fb25f05dc 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -443,7 +443,7 @@  keys for controlling the audio volume.")
 (define-public xfce4-whiskermenu-plugin
   (package
     (name "xfce4-whiskermenu-plugin")
-    (version "2.3.1")
+    (version "2.3.3")
     (source (origin
               (method url-fetch)
               (uri (string-append "http://archive.xfce.org/src/panel-plugins/"
@@ -451,7 +451,7 @@  keys for controlling the audio volume.")
                                   name "-" version ".tar.bz2"))
               (sha256
                (base32
-                "1cnas2x7xi53v6ylq44040narhzd828dc0ysz8yk3qn2mmvp5yr2"))))
+                "0j0qmk372130avq8n07lfqrcm2al7n07l8gc06bbr1g6q57wrip0"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
@@ -460,7 +460,8 @@  keys for controlling the audio volume.")
      `(("xfce4-panel" ,xfce4-panel)
        ("garcon" ,garcon)
        ("exo" ,exo)
-       ("gtk+" ,gtk+-2)))
+       ("gtk+" ,gtk+)
+       ("libxfce4ui" ,libxfce4ui)))
     (arguments
       `(#:tests? #f)) ; no tests
     (home-page "https://goodies.xfce.org/projects/panel-plugins/xfce4-whiskermenu-plugin")